GrailsConsoleLogger (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.maven.aether.support
[Groovy] Class GrailsConsoleLogger

    java.lang.Object
      org.codehaus.plexus.logging.AbstractLogger
          org.codehaus.groovy.grails.resolve.maven.aether.support.GrailsConsoleLogger

    @groovy.transform.CompileStatic
    class GrailsConsoleLogger
    extends org.codehaus.plexus.logging.AbstractLogger

Field Summary

Fields inherited from class org.codehaus.plexus.logging.AbstractLogger
LEVEL_DEBUG, LEVEL_INFO, LEVEL_WARN, LEVEL_ERROR, LEVEL_FATAL, LEVEL_DISABLED

Property Summary
`GrailsConsole` | `grailsConsole`

Constructor Summary
`GrailsConsoleLogger(int threshold)`

Method Summary
`void` | `debug(java.lang.String message, java.lang.Throwable throwable)`
`void` | `error(java.lang.String message, java.lang.Throwable throwable)`
`void` | `fatalError(java.lang.String message, java.lang.Throwable throwable)`
`org.codehaus.plexus.logging.Logger` | `getChildLogger(java.lang.String name)`
`void` | `info(java.lang.String message, java.lang.Throwable throwable)`
`void` | `warn(java.lang.String message, java.lang.Throwable throwable)`

Methods inherited from class org.codehaus.plexus.logging.AbstractLogger
org.codehaus.plexus.logging.AbstractLogger#setThreshold(int), org.codehaus.plexus.logging.AbstractLogger#error(java.lang.String), org.codehaus.plexus.logging.AbstractLogger#info(java.lang.String), org.codehaus.plexus.logging.AbstractLogger#isDebugEnabled(), org.codehaus.plexus.logging.AbstractLogger#isInfoEnabled(), org.codehaus.plexus.logging.AbstractLogger#isWarnEnabled(), org.codehaus.plexus.logging.AbstractLogger#warn(java.lang.String), org.codehaus.plexus.logging.AbstractLogger#isErrorEnabled(), org.codehaus.plexus.logging.AbstractLogger#getName(), org.codehaus.plexus.logging.AbstractLogger#debug(java.lang.String), org.codehaus.plexus.logging.AbstractLogger#fatalError(java.lang.String), org.codehaus.plexus.logging.AbstractLogger#isFatalErrorEnabled(), org.codehaus.plexus.logging.AbstractLogger#getThreshold(), org.codehaus.plexus.logging.AbstractLogger#wait(long, int), org.codehaus.plexus.logging.AbstractLogger#wait(long), org.codehaus.plexus.logging.AbstractLogger#wait(), org.codehaus.plexus.logging.AbstractLogger#equals(java.lang.Object), org.codehaus.plexus.logging.AbstractLogger#toString(), org.codehaus.plexus.logging.AbstractLogger#hashCode(), org.codehaus.plexus.logging.AbstractLogger#getClass(), org.codehaus.plexus.logging.AbstractLogger#notify(), org.codehaus.plexus.logging.AbstractLogger#notifyAll(), org.codehaus.plexus.logging.AbstractLogger#error(java.lang.String, java.lang.Throwable), org.codehaus.plexus.logging.AbstractLogger#info(java.lang.String, java.lang.Throwable), org.codehaus.plexus.logging.AbstractLogger#warn(java.lang.String, java.lang.Throwable), org.codehaus.plexus.logging.AbstractLogger#debug(java.lang.String, java.lang.Throwable), org.codehaus.plexus.logging.AbstractLogger#fatalError(java.lang.String, java.lang.Throwable), org.codehaus.plexus.logging.AbstractLogger#getChildLogger(java.lang.String)

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### grailsConsole

    GrailsConsole grailsConsole

Constructor Detail

### GrailsConsoleLogger

    GrailsConsoleLogger(int threshold)

Method Detail

### debug

    void debug(java.lang.String message, java.lang.Throwable throwable)

### error

    void error(java.lang.String message, java.lang.Throwable throwable)

### fatalError

    void fatalError(java.lang.String message, java.lang.Throwable throwable)

### getChildLogger

    org.codehaus.plexus.logging.Logger getChildLogger(java.lang.String name)

### info

    void info(java.lang.String message, java.lang.Throwable throwable)

### warn

    void warn(java.lang.String message, java.lang.Throwable throwable)

Groovy Documentation